
Redmine - Defect #16441

update issue custom field multiple ,not show all detail in journalized

2014-03-27 10:16 - alfa zhang

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.5.0

Description

Environment:

Redmine version                2.5.0.stable

Ruby version                   1.8.7-p352 (2011-06-30) [x86_64-linux]

Rails version                  3.2.17

Environment                    production

Database adapter               Mysql2

SCM:

Filesystem

Redmine plugins:

no plugin installed

I add a custom field list(AAA/BBB/CCCC) which multiple is TRUE

when user update this custom field value from AAA/CCC to AAA/BBBB

journalized only show he added BBBB,not show he deleted CCC

I fixed  by this:

# diff  /root/soft/redmine-2.5.0/app/helpers/issues_helper.rb fixed/app/helpers/issues_helper.rb

284,285c284,285

<         strings << show_detail(detail, no_html, options)

<       elsif changes[:deleted].any?@

---

>       end

>       if changes[:deleted].any?

287d286

<         strings << show_detail(detail, no_html, options)

288a288

>       strings << show_detail(detail, no_html, options)

Related issues:

Is duplicate of Redmine - Defect #19225: When deleting one item from multival... Closed

History

#1 - 2014-04-25 03:25 - Toshi MARUYAMA

- Category set to Custom fields

#2 - 2021-07-27 15:58 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Fixed in Redmine 3.0.1 (#19225).

#3 - 2021-07-27 15:59 - Go MAEDA

- Is duplicate of Defect #19225: When deleting one item from multivalued custom field / list of users, name of removed user is not visible in history

added
